%global momorel 14
%global cvsdate 20070222
%global mozver 2.0.0.12

Summary: Multimedia framework covering MPEG-4, VRML/X3D and SVG.
Name: gpac
Version: 0.4.3
Release: 0.%{cvsdate}.%{momorel}m%{?dist}
License: LGPL
Group: Applications/Multimedia
Source0: gpac-0.4.3-cvs20070222.tar.bz2
Patch0:  gpac-0.4.3-DESTDIR.patch
Patch1:  gpac-dont-install-under-home.patch
URL: http://gpac.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: SDL-devel freetype-devel wxGTK-devel
BuildRequires: faad2-devel xvid libmad
#BuildRequires: ffmpeg-devel(DO NOT SET : Build-Loop)
BuildRequires: firefox-devel = %{mozver}
Requires: SDL freetype  wxGTK
Requires: faad2 xvid ffmpeg libmad
Requires: firefox = %{mozver}
%ifarch x86_64 ia64 alpha sparc64 ppc64
Provides: libgpac.so()(64bit)
%else
Provides: libgpac.so
%endif

%description
GPAC is a multimedia framework for MPEG-4, VRML/X3D and SVG/SMIL. GPAC is built upon an implementation of the MPEG-4 Systems standard (ISO/IEC 14496-1) developed from scratch in C.

The main development goal is to provide a clean (a.k.a. readable by as manypeople as possible), small and flexible alternative to the MPEG-4 Systems reference software (known as IM1 and distributed in ISO/IEC 14496-5). 

The second development goal is to achieve integration of recent multimedia standards (SVG/SMIL, VRML, X3D, SWF, etc) into a single framework. 
This stage is still under drafting but GPAC already supports most of VRML97, some X3D as well as very simple SVG.

GPAC already features 2D and 3D multimedia playback, MPEG-4 Systems 
encoders/multiplexers and publishing tools for content distribution.

GPAC is licensed under the GNU Lesser General Public License.

%package devel
Summary:	Header files and libraries for a development with %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries for a development with %{name}

%prep
%setup -q -n gpac
%patch0 -p1 -b .destdir
# AMR code is nonfree...
%if 0
mkdir -p modules/amr_dec/amr_nb
cd Plugins/amr_dec/AMR_NB
unzip -j /usr/src/redhat/SOURCES/26073-530.zip
unzip -j 26073-530_ANSI_C_source_code.zip
cd ../../..
%endif
%patch1 -p1

# use system gecko files
sed -i -e 's|GECKO_PATH=|GECKO_PATH=%{_includedir}/firefox-%{mozver}\n#GECKO_PATH=|' applications/osmozilla/Makefile
sed -i -e 's|-I$(GECKO_PATH)/plugin/include|-I$(GECKO_PATH)/plugin|' applications/osmozilla/Makefile
sed -i -e 's|-I$(GECKO_PATH)/nspr/include|-I%{_includedir}/nspr4|' applications/osmozilla/Makefile
sed -i -e 's|-I$(GECKO_PATH)/java/include|-I$(GECKO_PATH)/java|' applications/osmozilla/Makefile
sed -i -e 's|-I$(GECKO_PATH)/xpcom/include|-I$(GECKO_PATH)/xpcom|' applications/osmozilla/Makefile


%build
chmod +x configure
sed -i -e 's|lGLU|lGLU -L%{_libdir}|g' configure
sed -i -e 's|$(prefix)/lib/gpac|%{_libdir}/gpac|' configure
sed -i -e 's|$(prefix)/lib|%{_libdir}|' Makefile
sed -i -e 's|$(prefix)/include|%{_includedir}|' Makefile
sed -i -e 's|$(prefix)/lib/$(LIB)|%{_libdir}/$(LIB)|' Makefile
%ifarch x86_64 ia64 ppc64 alpha sparc64
sed -i -e 's|is_64="no"|is_64="yes"|' configure
%endif

%configure
sed -i -e 's|moddir=/usr/lib/gpac|moddir=%{_libdir}/gpac|' config.mak
sed -i -e 's|X11_LIB_PATH=/usr/lib64/lib64|X11_LIB_PATH=%{_libdir}|' config.mak
sed -i -e 's|X11_LIB_PATH=/usr/lib/lib|X11_LIB_PATH=%{_libdir}|' config.mak
sed -i -e 's|X11_INC_PATH=%{_libdir}/include|X11_INC_PATH=%{_includedir}|' config.mak

make

%install
rm -rf %{buildroot}
chmod 644 bin/gcc/nposmozilla.xpt
make DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} install-lib

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS BUGS Changelog COPYING README TODO
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/gpac
%{_datadir}/gpac/gpac.mp4
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/gpac
%{_libdir}/libgpac_static.a

%changelog
* Wed Feb 13 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.4.3-0.20070222.14m)
- rebuild against firefox-2.0.0.12

* Sat Dec  1 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.3-0.20070222.13m)
- rebuild against firefox-2.0.0.11

* Wed Nov 28 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.3-0.20070222.12m)
- rebuild against firefox-2.0.0.10

* Fri Nov  2 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.3-0.20070222.11m)
- rebuild against firefox-2.0.0.9

* Fri Oct 19 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.3-0.20070222.10m)
- rebuild against firefox-2.0.0.8

* Wed Sep 19 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.3-0.20070222.9m)
- rebuild against firefox-2.0.0.7

* Tue Aug  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.3-0.20070222.8m)
- add Requires for firefox

* Mon Aug  6 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.4.3-0.20070222.7m)
- rebuild against firefox-2.0.0.6

* Sat Jul 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3-0.20070222.6m)
- rebuild against firefox-2.0.0.5

* Sat Jun  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3-0.20070222.5m)
- rebuild against firefox-2.0.0.4

* Tue Apr 24 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.3-0.20070222.4m)
- remove BuildRequires ffmpeg-devel due to build-loop

* Sun Apr 22 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.3-0.20070222.3m)
- add patch1: gpac-dont-install-under-home.patch

* Sat Apr 21 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.4.3-0.20070222.2m)
- use system gecko.
- x86_64 and other arch support.

* Fri Apr 06 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.3-0.20070222.1m)
- initial spec file based on the one in the original source

* Wed Jul 13 2005 Jean Le Feuvre
- Updated for GPAC LGPL release
* Mon Aug 09 2004 Sverker Abrahamsson <sverker@abrahamsson.com>
- Initial RPM release
